Name:       variety
Version:    0.5.5
Release:    %mkrel 3

Summary: Wallpaper changer that automatically downloads wallpapers
License: GPLv3
URL: http://peterlevi.com/variety/
Source: https://launchpad.net/variety/%{version}/+download/%{name}-%{version}.tar.xz
Group: Graphics
BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: python-devel 
BuildRequires: python-setuptools
BuildRequires: python-distutils-extra
BuildRequires: python-beautifulsoup4
BuildRequires: python-configobj
BuildRequires: python-exiv2
BuildRequires: intltool
BuildRequires: python-pillow-devel
Requires: python >= 2.7
Requires: python-beautifulsoup4
Requires: python-configobj
Requires: python-pillow
Requires: python-curl
Requires: python-gobject3
Requires: python-exiv2
Requires: python-lxml


%description
Variety changes the desktop wallpaper on a regular basis, 
using user-specified or automatically downloaded images.


%prep

%setup -q 

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --root %{buildroot}

%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Variety
Comment=Variety Wallpaper Changer
Categories=GTK;Graphics;X-MandrivaLinux-Multimedia-Graphics;
Exec=variety %U
MimeType=text/uri-list;x-scheme-handler/variety;x-scheme-handler/vrty;
Icon=variety
Terminal=false
Type=Application
StartupNotify=false
Actions=Next;Previous;PauseResume;History;Preferences;

[Desktop Action Next]
Exec=variety --next
Name=Next

[Desktop Action Previous]
Exec=variety --previous
Name=Previous

[Desktop Action PauseResume]
Exec=variety --toggle-pause
Name=Pause / Resume

[Desktop Action History]
Exec=variety --history
Name=History

[Desktop Action Preferences]
Exec=variety --preferences
Name=Preferences
EOF


%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR

%post
%update_menus

%postun
%clean_menus


%files 
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/help/C/%{name}
%{_iconsdir}/hicolor/*/
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/applications/%{name}.desktop
%{py_sitedir}/jumble
%{py_sitedir}/%{name}
%{py_sitedir}/%{name}_lib
%{py_sitedir}/%{name}-0.5.5-py2.7.egg-info


%changelog
* Thu Mar 03 2016 bb <bb> 0.5.5-3pclos2016
- rebuild for new openssl

* Sun Jan 24 2016 Ken <lxgator at gmail.com> 0.5.5-2pclos2016
- rebuild 
- add missing req python-gobject3, python-exiv2, python-lxml

* Fri Jan 01 2016 Ken <lxgator at gmail.com> 0.5.5-1pclos2016
- Initial pkg
